%define major 1
%define libname %mklibname xcursor %{major}
%define develname %mklibname xcursor -d

Name: libxcursor
Summary:  X Cursor Library
Version: 1.2.0
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXcursor-%{version}.tar.bz2

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xfixes) >= 3.0.1.2
BuildRequires: pkgconfig(xrender) >= 0.9.0.2
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Cursor Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  X Cursor Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
X Cursor Library.

%files -n %{libname}
%{_libdir}/libXcursor.so.%{major}
%{_libdir}/libXcursor.so.%{major}.*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xcursor-static-devel < 1.1.14-2

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/libXcursor.so
%{_libdir}/pkgconfig/xcursor.pc
%{_includedir}/X11/Xcursor/Xcursor.h
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXcursor-%{version}

%build
%configure	--disable-static
%make

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1523593
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Mar 11 2019 tv <tv> 1.2.0-1.mga7
+ Revision: 1374145
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.1.15-2.mga7
+ Revision: 1299238
- Mageia 7 Mass Rebuild

* Fri Dec 01 2017 ns80 <ns80> 1.1.15-1.mga7
+ Revision: 1180583
- new version 1.1.15 that fixes CVE-2017-16612 (mga#22102)

* Fri Feb 05 2016 umeabot <umeabot> 1.1.14-6.mga6
+ Revision: 939454
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.14-5.mga5
+ Revision: 748616
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.14-4.mga5
+ Revision: 681870
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.14-3.mga4
+ Revision: 532731
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.1.14-2.mga4
+ Revision: 469556
- drop unneeded requires
- clean .spec
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Thu May 30 2013 tv <tv> 1.1.14-1.mga4
+ Revision: 433344
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.1.13-3.mga3
+ Revision: 397152
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.1.13-2.mga3
+ Revision: 358523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.1.13-1.mga2
+ Revision: 222235
- new release

* Mon Nov 21 2011 fwang <fwang> 1.1.12-2.mga2
+ Revision: 170347
- enable static
- drop .la files

* Thu Jun 30 2011 tv <tv> 1.1.12-1.mga2
+ Revision: 116953
- new release

* Wed Jan 12 2011 dmorgan <dmorgan> 1.1.11-1.mga1
+ Revision: 6623
- imported package libxcursor


* Thu Oct 28 2010 Thierry Vignaud <tv@mandriva.org> 1.1.11-1mdv2011.0
+ Revision: 589777
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.10-2mdv2010.1
+ Revision: 520963
- rebuilt for 2010.1

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 1.1.10-1mdv2010.0
+ Revision: 422876
- new release

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.1.9-3mdv2009.0
+ Revision: 223067
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.9-2mdv2008.1
+ Revision: 151699
- Update BuildRequires and rebuild.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 28 2007 Thierry Vignaud <tv@mandriva.org> 1.1.9-1mdv2008.0
+ Revision: 72713
- fix man page list
- new release

* Sat Jul 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.1.8-3mdv2008.0
+ Revision: 54095
- fix static-devel's dependency on devel and make it obsolete the old one

* Tue Jul 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.8-2mdv2008.0
+ Revision: 52908
- fix libification (thanks goes to Frederik Himpe for pointing this out)

* Tue Jul 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.8-1mdv2008.0
+ Revision: 52778
- new devel library policy
- spec file clean
- new version


* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 22:04:43 (36669)
- new upstream release (1.1.7):
   * Fix small memory leak.
   * Change some return 0's to NULL.
   * Look for cursors in datadir, not always /usr/share.

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

